SA-MP Forums

Go Back   SA-MP Forums > SA-MP Scripting and Plugins > Plugin Development

Reply
 
Thread Tools Display Modes
Old 29/10/2015, 01:41 PM   #21
amirm3hdi
Banned
 
Join Date: Apr 2015
Location: Brain
Posts: 270
Reputation: 14
Default Re: SAMPSON - A JSON plugin for SA-MP

WTF, why not continue and add function to SET VALUES... why stopped upgrading?

I loaded 400 house json files with DJSON and it took about 6 seconds,
But When I loaded them with This plugin and it was less than a SECOND...

From now on, I read data with this plugin and write data with DJSON.

Last edited by amirm3hdi; 29/10/2015 at 07:41 PM.
amirm3hdi is offline   Reply With Quote
Old 24/01/2016, 12:27 PM   #22
amirm3hdi
Banned
 
Join Date: Apr 2015
Location: Brain
Posts: 270
Reputation: 14
Default Re: SAMPSON - A JSON plugin for SA-MP

NO WONDER WHY IT'S NOT FULL VERSION

I'm reporting a bug now, When I get the array size it returns a big ass number (which is damn wrong)
Here's the link that explains: http://forum.sa-mp.com/showthread.ph...89#post3646389

Also sometimes, getting values return 0, but with DJSON they are correct ...

I've experienced this in linux tho.

I can't f***ing believe just cuz of this plugin I looked for the error so long...

Last edited by amirm3hdi; 24/01/2016 at 04:14 PM.
amirm3hdi is offline   Reply With Quote
Old 24/01/2016, 07:53 PM   #23
KingHual
Banned
 
Join Date: Jun 2010
Location: Bulgaria
Posts: 2,299
Reputation: 1389
Default Re: SAMPSON - A JSON plugin for SA-MP

Quote:
Originally Posted by amirm3hdi View Post
NO WONDER WHY IT'S NOT FULL VERSION

I'm reporting a bug now, When I get the array size it returns a big ass number (which is damn wrong)
Here's the link that explains: http://forum.sa-mp.com/showthread.ph...89#post3646389

Also sometimes, getting values return 0, but with DJSON they are correct ...

I've experienced this in linux tho.

I can't f***ing believe just cuz of this plugin I looked for the error so long...
The plugin is open-source. If you want features, add features. You are NOT entitled to anything, and acting like that instead of properly reporting the bug on GitHub isn't going to get you anywhere.
KingHual is offline   Reply With Quote
Old 05/02/2016, 01:50 PM   #24
amirm3hdi
Banned
 
Join Date: Apr 2015
Location: Brain
Posts: 270
Reputation: 14
Thumbs down Re: SAMPSON - A JSON plugin for SA-MP

NOT RECOMMENDED FOR LINUX AT ALL

Most of the functions crash on linux while work perfectly on windows...
amirm3hdi is offline   Reply With Quote
Old 15/08/2016, 04:40 PM   #25
deffo
Big Clucker
 
Join Date: Aug 2011
Location: India
Posts: 69
Reputation: 35
Default Re: SAMPSON - A JSON plugin for SA-MP

Great work. I hope to see updates. Its really useful.

Last edited by deffo; 15/08/2016 at 07:18 PM.
deffo is offline   Reply With Quote
Old 18/07/2018, 12:10 AM   #26
iiNzTicTx
Big Clucker
 
Join Date: Jan 2012
Posts: 77
Reputation: 11
Default Re: SAMPSON - A JSON plugin for SA-MP

Quote:
Originally Posted by amirm3hdi View Post
NOT RECOMMENDED FOR LINUX AT ALL

Most of the functions crash on linux while work perfectly on windows...
The plugin is not supported on Debian Wheezy (7), as it requires libstdc++6 -> gcc-5.1 or higher (which contains CXXABI_1.3.9. This version of gcc is not available in Wheezy. You could try upgrade to Jessie, or use Ubuntu. I am yet to determine whether it's possible to use older versions of the plugin which may not require gcc-5.1. I was able to get Wheezy working with CXXABI_1.3.8 max.

Edit: confirming 2014 version works with CXXABI_1.3.6, which comes installed with Wheezy.

Last edited by iiNzTicTx; 18/07/2018 at 02:00 AM.
iiNzTicTx is offline   Reply With Quote
Old 18/07/2018, 03:26 PM   #27
KingHual
Banned
 
Join Date: Jun 2010
Location: Bulgaria
Posts: 2,299
Reputation: 1389
Default Re: SAMPSON - A JSON plugin for SA-MP

Quote:
Originally Posted by iiNzTicTx View Post
The plugin is not supported on Debian Wheezy (7), as it requires libstdc++6 -> gcc-5.1 or higher (which contains CXXABI_1.3.9. This version of gcc is not available in Wheezy. You could try upgrade to Jessie, or use Ubuntu. I am yet to determine whether it's possible to use older versions of the plugin which may not require gcc-5.1. I was able to get Wheezy working with CXXABI_1.3.8 max.

Edit: confirming 2014 version works with CXXABI_1.3.6, which comes installed with Wheezy.
You could build it with static stdlib linking on a newer machine. I should've done that.
KingHual is offline   Reply With Quote
Reply

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Dealership Lag "Json. DavidKember Scripting Help 6 08/07/2014 11:38 AM
[HELP] Vehicles.json don't load Stefand Scripting Help 1 21/02/2012 02:19 PM
vehicles.json help plz sherlock Server Support 3 02/01/2011 12:41 PM
[FS + AJAX]R@f's Json Server Stats R@f Filterscripts 6 10/05/2009 08:45 AM


All times are GMT. The time now is 07:19 AM.


Powered by vBulletin® Version 3.8.6
Copyright ©2000 - 2019, Jelsoft Enterprises Ltd.